<?php
require "showshp.php";
session_start();
if(!isset($_SESSION['titles']) || !isset($_SESSION['positions'])|| !isset($_SESSION['usernames'])){
header("location:index.php");
}
?>
<html>
<head>
<link rel="stylesheet" type="text/css" href="rdsty.css">
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.min.css" />
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.css" />
<script type="text/javascript" src="jsDatePick.min.1.3.js"></script>
<script src="datesps.js"></script>
<script>

function fdtfinds(pr)
{
var vl=document.getElementById("dtfinds").value;
var dt=document.getElementById("dtd");
var cn=dt.rows.length;
var vls=vl.toLowerCase();

for(var cnt=2;cnt<cn;cnt++){
	
var tmp=dt.rows[cnt].cells[0].innerHTML;
var tmpa=tmp.toLowerCase();
var tmp=dt.rows[cnt].cells[1].innerHTML;
var tmpb=tmp.toLowerCase();
var sta=tmpa.indexOf(vls);
var stb=tmpb.indexOf(vls);

if((sta>=0 || stb>=0 ) && vls.length>0){
dt.rows[cnt].style.display="table-row";}
else{
dt.rows[cnt].style.display="none";}

if(vls.length==0){
dt.rows[cnt].style.display="table-row";}
}

	
}


</script>

</head>



<body style="font-family:calibri;font-size:small" onload="mnh('amnc','agentsb')">
<div class="hdn"></div>

<?php
printf("<div class='ses'>%s (%s)</div>",$_SESSION['titles'],$_SESSION['positions']);
?>

<div class="tops" align="center">Agent sales summary</div>
<div class="homes"><a href="index.php" style='color:#A9BCF5;'>Sign out</a></div>

</body>

</html>



<?php

$grt=0;
$grq=0;
$arr=array();
$arvl=array();
$tvt=0;

$starts=$_REQUEST['starts'];
$ends=$_REQUEST['ends'];

if(isset($_REQUEST['zones'])){
$zones=$_REQUEST['zones'];}
else{
$zones="All";}

if(isset($_REQUEST['regions'])){
$regions=$_REQUEST['regions'];}
else{
$regions="All";}

if(isset($_REQUEST['territorys'])){
$territorys=$_REQUEST['territorys'];}
else{
$territorys="All";}

if(isset($_REQUEST['agents'])){
$agents=$_REQUEST['agents'];}
else{
$agents="All";}

if(isset($_REQUEST['rsms'])){
$rsms=$_REQUEST['rsms'];}
else{
$rsms="All";}

if(isset($_REQUEST['executives'])){
$executives=$_REQUEST['executives'];}
else{
$executives="All";}

if(isset($_REQUEST['reps'])){
$reps=$_REQUEST['reps'];}
else{
$reps="All";}

if(isset($_REQUEST['ranges'])){
$ranges=$_REQUEST['ranges'];}
else{
$ranges="All";}

if(isset($_REQUEST['subranges'])){
$subranges=$_REQUEST['subranges'];}
else{
$subranges="All";}

if(isset($_REQUEST['items'])){
$items=$_REQUEST['items'];}
else{
$items="All";}

if(isset($_REQUEST['agenttypes'])){
$agenttypes=$_REQUEST['agenttypes'];}
else{
$agenttypes="All";}


$rpsty="regions=".$regions."&agents=".urlencode($agents)."&territorys=".$territorys."&ranges=".$ranges."&zones=".$zones."&rsms=".$rsms."&executives=".$executives."&reps=".$reps
."&items=".$items."&subranges=".$subranges; 


if($starts==0 || $starts==''){
$starts=$years."-".$months."-01";}
if($ends==0 || $ends==''){
$ends=$years."-".$months."-".$days;}

showsrds();

printf("<div class='dts'><table style='font-size:14'><tr style='border-bottom:1px solid silver;'><td width=200><b><font color=#0066cc>Report details</font></td></tr</table>");
printf("<table><table style='font-size:13'>");
printf("<tr><td>Title:</td><td>Regional sales summary</td></tr>");
printf("<tr><td>From:</td><td>%s</td></tr>",$starts);
printf("<tr><td>To:</td><td>%s</td></tr>",$ends);

if(isset($_REQUEST['zones'])){
$zones=$_REQUEST['zones'];
printf("<tr><td>Zone:</td><td>%s</td></tr>",$zones);}
else{
$zones="All";}

if(isset($_REQUEST['regions'])){
$regions=$_REQUEST['regions'];
printf("<tr><td>Region:</td><td>%s</td></tr>",$regions);}
else{
$regions="All";}

if(isset($_REQUEST['territorys'])){
$territorys=$_REQUEST['territorys'];
printf("<tr><td>Territory:</td><td>%s</td></tr>",$territorys);}
else{
$territorys="All";}

if(isset($_REQUEST['agents'])){
$agents=$_REQUEST['agents'];
printf("<tr><td>Agent:</td><td>%s</td></tr>",$agents);}
else{
$agents="All";}

if(isset($_REQUEST['rsms'])){
$rsms=$_REQUEST['rsms'];
printf("<tr><td>RSM:</td><td>%s</td></tr>",$rsms);}
else{
$rsms="All";}

if(isset($_REQUEST['executives'])){
$executives=$_REQUEST['executives'];
printf("<tr><td>Executive:</td><td>%s</td></tr>",$executives);}
else{
$executives="All";}

if(isset($_REQUEST['reps'])){
$reps=$_REQUEST['reps'];
printf("<tr><td>Rep:</td><td>%s</td></tr>",$reps);}
else{
$reps="All";}

if(isset($_REQUEST['ranges'])){
$ranges=$_REQUEST['ranges'];
printf("<tr><td>Range:</td><td>%s</td></tr>",$ranges);}
else{
$ranges="All";}

if(isset($_REQUEST['subranges'])){
$subranges=$_REQUEST['subranges'];
printf("<tr><td>Sub-range:</td><td>%s</td></tr>",$subranges);}
else{
$subranges="All";}

if(isset($_REQUEST['items'])){
$items=$_REQUEST['items'];
printf("<tr><td>Item:</td><td>%s</td></tr>",$items);}
else{
$items="All";}

printf("</table></div>");


printf("<div class='srg'></div>");
printf("<div class='mains'>");


$conn=mysqli_connect("localhost","primarysales","S5L7lF01EQZvQrGK","primarysales_dianaold");
$seflt=" where agent_names is not null ";

$sesqlst="select * from acs where user_names='".$_SESSION['usernames']."'";
$seqry=mysqli_query($conn,$sesqlst);

while($serst=mysqli_fetch_row($seqry)){
if(strtolower($serst[1])!='all'){
$seflt=$seflt." and zones='".$serst[1]."' ";}
if(strtolower($serst[2])!='all'){
$seflt=$seflt." and regions='".$serst[2]."' ";}
if(strtolower($serst[3])!='all'){
$seflt=$seflt." and territory_names='".$serst[3]."' ";}
if(strtolower($serst[4])!='all'){
$seflt=$seflt." and agent_names='".$serst[4]."' ";}
if(strtolower($serst[5])!='all'){
$seflt=$seflt." and item_names='".$serst[5]."' ";}
if(strtolower($serst[6])!='all'){
$seflt=$seflt." and item_ranges='".$serst[6]."' ";}
if(strtolower($serst[7])!='all'){
$seflt=$seflt." and sub_ranges='".$serst[7]."' ";}
if(strtolower($serst[8])!='all'){
$seflt=$seflt." and executive_names='".$serst[8]."' ";}
if(strtolower($serst[9])!='all'){
$seflt=$seflt." and chanell='".$serst[9]."' ";}
if(strtolower($serst[10])!='all'){
$seflt=$seflt." and rsm_names='".$serst[10]."' ";}
}

#echo $seflt;


printf("<form method='post' action='rdagentsummarys.php?%s'>",$rpsty);
printf("<div class='fra'>From</div><div class='frb'>
<input type='text' size=10 class='starts'  name='starts' value='%s' id='inputField'></div><div class='frc'>To</div><div class='frd'><input type='text class='ends' size=10 name='ends' value='%s' id='inputField2'></div>
<div class='fre'><input type='submit' value='go' style='width:70'></div><div class='frf'>Search</div><div class='frg'>
<input type='text' size=20 id='dtfinds' autocomplete='off' onkeydown=\"fdtfinds(event)\"></div></form>",$starts,$ends);


printf("<div style='color:#045FB4' class='frk'><input type='radio' name='chsh' checked onclick=\"document.getElementById('tdta').style.display='block';document.getElementById('tdtb').style.display='block';\">Values</div>");
printf("<div style='color:#045FB4'  class='frm'><input type='radio' name='chsh'  onclick=\"document.getElementById('tdta').style.display='none';document.getElementById('tdtb').style.display='block';\"> %%</div>");
printf("<div  style='color:#045FB4' class='frn'><input type='radio' name='chsh'  onclick=\"document.getElementById('tdta').style.display='block';document.getElementById('tdtb').style.display='block';\">Both</div>");




$tsqlst="select distinct item_ranges from itemsmrd where item_status='ACTIVE'";
$tqry=mysqli_query($conn,$tsqlst);
$cn=mysqli_num_rows($tqry);
$cnt=0;
while($trst=mysqli_fetch_row($tqry)){
$arr[$cnt]=$trst[0];
$cnt++;}

$flt=$seflt." and dates>='".$_REQUEST['starts']."' and dates<='".$_REQUEST['ends']."' ";
if(strtolower($regions)!='all'){
$flt=$flt." and regions='".$regions."' ";}
if(strtolower($zones)!='all'){
$flt=$flt." and zones='".$zones."' ";}
if(strtolower($agents)!='all'){
$flt=$flt." and agent_names='".$agents."' ";}
if(strtolower($territorys)!='all'){
$flt=$flt." and territory_names='".$territorys."' ";}
if(strtolower($ranges)!='all'){
$flt=$flt." and item_ranges='".$ranges."' ";}
if(strtolower($subranges)!='all'){
$flt=$flt." and sub_ranges='".$subranges."' ";}
if(strtolower($agenttypes)!='all'){
$flt=$flt." and agent_types='".$agenttypes."' ";}


$asqlst="";
for($cnt=0;$cnt<count($arr);$cnt++){
$asqlst=$asqlst." left join (select agent_names as agent_names,territory_names, sum((pcs_qty*pcs_price)+(box_qty*box_price)) as vls from rd_invoices ".$flt." and item_ranges='".$arr[$cnt]."' group by agent_names) as ".$arr[$cnt]." on ".$arr[$cnt].".agent_names=magent_names ";}

$rsqlst="select magent_names as region,mterrys,vpcalls ";

for($cnt=0;$cnt<count($arr);$cnt++){
$rsqlst=$rsqlst.",".$arr[$cnt].".vls as ".$arr[$cnt];
}

$rsqlst=$rsqlst." from (select distinct agent_name as magent_names,territory_name as mterrys from agentsmrd) as rgs left join (select agent_names as pagents,territory_names as pterrys,sum(pcalls) vpcalls from (select distinct agent_names,territory_names,pcalls from rd_invoices ".$flt.")as sps group by agent_names,territory_names) as mps on pagents=magent_names  and pterrys=mterrys";


$sqlst=$rsqlst.$asqlst;
#echo $sqlst;


printf("<div class='tdt'>");




print("<div class='tdta' style='display:block;font-size:13;' id='tdta'>");
printf("<br>");
printf("<table id='dtd' style='font-size:13'><th bgcolor='silver' colspan='%s'><b>Sales value Rs.</th><tr  style='color:#E6E6E6' bgcolor='grey'><td width=200 align='center'  style='border:1px solid white' >Agent</td><td width=200 align='center'  style='border:1px solid white' >Territory</td>",$cn+7);

$cnt=0;
mysqli_data_seek($tqry,0);
while($trst=mysqli_fetch_row($tqry)){
$arr[$cnt]=$trst[0];
printf("<td align='center' style='border:1px solid white' width=100>%s</td>",$trst[0]);
$arvl[$cnt]=0;
$cnt++;
}

printf("<td width=100 style='border:1px solid white' align='center' colspan='2'>Total</td><td width=90 style='font-size:12;border:1px solid white' align='center'><b>Items</td><td align='center' width=90 style='font-size:12;border:1px solid white;' ><b>Invoices</td></tr>");

$tps=0;
$qry=mysqli_query($conn,$sqlst);
$cn=mysqli_num_fields($qry);

while($rst=mysqli_fetch_row($qry)){
$tsv=0;
$tps=$tps+$rst[1];


for($rnt=3;$rnt<$cn;$rnt++){
$tvt=$tvt+$rst[$rnt];
$tsv=$tsv+$rst[$rnt];
$arvl[$rnt-1]=$arvl[$rnt-1]+$rst[$rnt];
}

if($tsv!=0){
$drp="<div class='dropdown'><span><img src='drpsmallimgs.png' style='width:100%;length:100%%;'></span><div class='dropdown-content'><a href='rdtmdays.php?agents=".urlencode($rst[0])."&starts=".$starts."&ends=".$ends."&zones=".$zones."&regions=".$regions."&territorys=".urlencode($rst[1])."&agenttypes=".$agenttypes."' target='_blank'>Daily sales</a><br><a href='rdtmweeks.php?agents=".urlencode($rst[0])."&starts=".$starts."&ends=".$ends."&zones=".$zones."&regions=".$regions."&territorys=".urlencode($rst[1])."&agenttypes=".$agenttypes."' target='_blank'>Weekly sales</a></div></div>";

printf("<tr class='cls' bgcolor='white' onmouseover=\"this.style.backgroundColor='silver';\" onmouseout=\"this.style.backgroundColor='white';\"><td width=200>%s</td><td width=200>%s</td>",$rst[0],$rst[1],$rst[0]);
for($rnt=3;$rnt<$cn;$rnt++){
printf("<td align='right' width=100>%s</td>",number_format($rst[$rnt],0,'.',','));}
printf("<td align='right'><b>%s</td><td width=2%%>%s</td><td width=80  style='font-size:13' align='center'><a href='rdagentsitems.php?starts=%s&ends=%s&regions=%s&agents=%s&territorys=all' target='_blank'>items</a></td><td  width=80 style='font-size:13' align='center'><a href='rdagentsinvoices.php?starts=%s&ends=%s&regions=%s&agents=%s&territorys=all' target='_blank'>Invoices</a></td></tr>",number_format($tsv,2,'.',','),$drp,$starts,$ends,$regions,urlencode($rst[0]),$starts,$ends,$regions,urlencode($rst[0]));
}
}

printf("<tr><td>Total</td><td></td><td align='right'>%s</td>",$tps);
for($rnt=3;$rnt<$cn-1;$rnt++){
printf("<td align='right'><b>%s</td>",number_format($arvl[$rnt],0,'.',','));}
printf("<td align='right'><b>%s</td>",number_format($tvt,0,'.',','));
printf("</tr></table></div>");


print("<div class='tdtb' style='display:none;font-size:14' id='tdtb'>");

printf("<br>");
printf("<table style='font-size:13'><th bgcolor='silver' colspan='%s'><b>Sales %%</th><tr  style='color:#E6E6E6' bgcolor='grey'><td width=200 align='center'  style='border:1px solid white' >Agent</td><td width=200 align='center'  style='border:1px solid white' >Territory</td>",$cn+5);


#$tqry=mysqli_query($conn,$tsqlst);
mysqli_data_seek($tqry,0);
$cnt=0;
while($trst=mysqli_fetch_row($tqry)){
$arr[$cnt]=$trst[0];
printf("<td align='center' style='border:1px solid white' width=100>%s</td>",$trst[0]);
$arvl[$cnt]=0;
$cnt++;
}

printf("<td width=100 style='border:1px solid white' align='center' >Total</td><td width=90 style='font-size:12;border:1px solid white' align='center'><b>Items</td><td align='center' width=90 style='font-size:12;border:1px solid white;' ><b>Invoices</td></tr>");


#$qry=mysqli_query($conn,$sqlst);
mysqli_data_seek($qry,0);
$cn=mysqli_num_fields($qry);

$tvt=0;

while($rst=mysqli_fetch_row($qry)){
for($rnt=2;$rnt<$cn;$rnt++){
$tvt=$tvt+$rst[$rnt];
}}


mysqli_data_seek($qry,0);
while($rst=mysqli_fetch_row($qry)){
$tsv=0;

for($rnt=3;$rnt<$cn;$rnt++){
$tsv=$tsv+$rst[$rnt];
$arvl[$rnt-1]=$arvl[$rnt-1]+$rst[$rnt];}

if($tsv!=0){
printf("<tr class='cls' style='color:grey;' bgcolor='white' onmouseover=\"this.style.backgroundColor='silver';\" onmouseout=\"this.style.backgroundColor='white';\"><td width=200>%s</td><td width=200>%s</td>",$rst[0],$rst[1]);
for($rnt=3;$rnt<$cn;$rnt++){
printf("<td align='right' width=100>%s%%</td>",number_format($rst[$rnt]*100/$tsv,2,'.',','));}
printf("<td align='right'><b>%s%%</td><td width=80  style='font-size:13' align='center'><a href='rdagentsitems.php?starts=%s&ends=%s&regions=%s&agents=%s&territorys=all' target='_blank'>items</a></td><td  width=80 style='font-size:13' align='center'><a href='rdagentsinvoices.php?starts=%s&ends=%s&regions=%s&agents=%s&territorys=all' target='_blank'>Invoices</a></td></tr>",number_format($tsv*100/$tvt,2,'.',','),$starts,$ends,$regions,urlencode($rst[0]),$starts,$ends,$regions,urlencode($rst[0]));
}
}

printf("<tr><td>Total</td><td></td>",number_format($tpc,0,'.',','));
for($rnt=2;$rnt<$cn-1;$rnt++){
printf("<td align='right'><b>%s%%</td>",number_format($arvl[$rnt]*100/$tvt,0,'.',','));}
printf("<td align='right'><b>%s%%</td>",number_format($tvt*100/$tvt,0,'.',','));
printf("</tr></table></div>");



?>